# Lethal Missions Mod for Lethal Company

## Overview

The Lethal Missions mod adds an exciting array of missions to Lethal Company, providing players with diverse challenges and objectives, ranging from escaping perilous situations to witnessing celestial events.

This mod is designed as an addition to the game without making any other modifications, aiming to assist players in acquiring money more easily. It seamlessly integrates with the existing game mechanics and works well with other mods. Enjoy an enhanced gameplay experience as you embark on thrilling missions within the Lethal Company universe.

## Features

- **Mission Variety:** Engage in a range of missions catering to different playstyles, from recovering crewmate bodies to becoming a human lightning rod.

- **Multilingual Support:** Enjoy missions in both English and Spanish, ensuring a localized experience for a broader audience.

- **Mission Completion Tracking:** Keep track of completed missions, earn rewards.

- **Terminal Commands:** Use terminal commands to easily access and view all available missions in the game.

  - **Terminal Commands (English):**
    - Use the command `Missions` to view all available missions.

  - **Terminal Commands (Español):**
    - Utiliza el comando `Misiones` para ver todas las misiones disponibles.
- **In-Game Notification:** Receive a notification when new missions are available.
- **Mission Menu:** Open the mission menu with the `J` key by default (configurable in the game keybindings).

## Usage

- Open the in-game terminal.
- Use the command `Missions` or `Misiones` to view all available missions.
- Missions are generated every time you go down to the moon.

## Mission Types

1. **OutOfTimeLeaveBeforeCertainHour:**
   - **Description:** Escape before a specific hour to avoid the dangers of the moon.
   - **Objective:** Don't stay on the moon after the specified time. It's a dangerous place!
   - **Reward:** [Configurable in mod settings]

2. **LightningRod:**
   - **Description:** Become the human lightning rod and stop a lightning strike with style.
   - **Objective:** Stand resilient in stormy weather and face the lightning.
   - **Reward:** [Configurable in mod settings]
   - **Required Weather:** Stormy

3. **WitnessDeath:**
   - **Description:** Witness the dramatic farewell of a fellow crewmate during a celestial event.
   - **Objective:** Be present during the celestial event to witness the emotional moment.
   - **Reward:** [Configurable in mod settings]

4. **RecoverBody:**
   - **Description:** Retrieve your pal's corpse and play the role of a space undertaker.
   - **Objective:** Locate and recover the fallen crewmate's body.
   - **Reward:** [Configurable in mod settings]

5. **ObtainHive:**
   - **Description:** Collect a beehive in space because even in space, we all need some honey and laughter.
   - **Objective:** Find and obtain a beehive during your space exploration.
   - **Reward:** [Configurable in mod settings]

6. **SurviveCrewmates:**
   - **Description:** Preserve the group's life by ensuring a specified number of crewmates survive the space odyssey.
   - **Objective:** Make sure at least a certain number of crewmates survive the challenges.
   - **Reward:** [Configurable in mod settings]

7. **KillMonster:**
   - **Description:** Embark on a daring mission to defeat a menacing creature.
   - **Objective:** Face and eliminate the menacing monster.
   - **Reward:** [Configurable in mod settings]

8. **ObtainGenerator:**
   - **Description:** Take the Generator from the factory to the ship to power critical systems.
   - **Objective:** Acquire and transport the special generator.
   - **Reward:** [Configurable in mod settings]

9. **FindScrap:**
   - **Description:** Find the next scrap in your space journey.
   - **Objective:** Locate and collect the specified scrap.
   - **Reward:** [Configurable in mod settings]

10. **RepairValve:**
    - **Description:** Show your skills and repair at least a specified number of broken valves.
    - **Objective:** Fix the broken valves scattered in space.
    - **Reward:** [Configurable in mod settings]


## Credits

- Mod created by [Nozz](https://discordapp.com/users/234432421427281920).
- Menu Missions by  [Diego321XD](https://github.com/Diego321XD).

## Support

To report any problems or contribute ideas for missions, you can use GitHub: [LethalMissions GitHub](https://github.com/valentin-marquez/LethalMissions) or send a private message by Discord: [valentin_marquez Discord](https://discordapp.com/users/234432421427281920).
